PUT /key_press_flows/:id
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/key_press_flows/:id
Update Key Press Flow by id.
Updates a Key Press Flow's key mapping, group, or associated tokens.
Params
| Param name | Description |
|---|---|
|
key_press_flow_group_id Optional Blank value allowed |
Key Press Flow Group
|
|
key_press Optional Blank value allowed |
The key that runs this flow: 0-9, *, #, or any to match any other key the caller presses.
|
|
description Optional Blank value allowed |
Description
|
|
continue_call_routing Optional Blank value allowed |
When enabled, pressing this key while connected to an external agent hangs up the current buyer legs and searches for the next matching call flow to connect the lead to a real buyer, instead of running call_disposition_id and call_control_action_ids.
|
|
call_disposition_id Optional Blank value allowed |
The disposition applied to the call when this key is pressed, instead of ending the call routing search.
|
|
call_control_action_ids Optional Blank value allowed |
The actions to run when this key is pressed, instead of ending the call routing search.
|
|
buyer_conference_time_elapsed_seconds_limit Optional Blank value allowed |
Only allows this key press once the buyer has been connected for at least this many seconds.
|
|
token_values Optional Blank value allowed |
Only runs this flow for calls matching these filters, such as [“state:CA”, “age:>=21”].
|
|
attribution_token_values Optional Blank value allowed |
These extra tokens, such as [“source:radio”], will be applied to calls that run this flow.
|
|
record_token_filter_list Optional Blank value allowed |
Assign filters to the object by passing an array of key:value pairs
|
|
record_token_additional_list Optional Blank value allowed |
Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.
|